Module Module1

    Sub Main()
        Console.WriteLine(My.BusinessFunctions.GenerateNewCustomerID("mateusz"))
        If My.Application.IsNewVersionAvailable() Then
            Console.WriteLine("Dostępna jest nowsza wersja")
        Else
            Console.WriteLine("To jest najnowsza wersja")
        End If
        Console.ReadLine()
    End Sub

End Module

Namespace My
    Public Class BusinessFunctions
        Public Shared Function GenerateNewCustomerID(ByVal name As String) As String
            Return name & "_" & Guid.NewGuid.ToString()
        End Function
    End Class

    Partial Friend Class MyApplication
        Public Function IsNewVersionAvailable() As Boolean
            ' Zwykle numer najnowszej wersji aplikacji byłby odczytywany
            ' z usługi WWW albo jakiegoś innego zasobu.
            ' W tym przykładzie jest zakodowany "na sztywno"
            Dim LatestVersion As New Version(1, 2, 1, 1)
            Return Application.Info.Version.CompareTo(LatestVersion)

        End Function
    End Class

End Namespace